Package tigase.auth

## Class BruteForceLockerBean.Key

- java.lang.Object
- - tigase.auth.BruteForceLockerBean.Key

- All Implemented Interfaces:
    `TypesConverter.Parcelable`
  Enclosing class:
    BruteForceLockerBean

      public static class BruteForceLockerBean.Key
      extends java.lang.Object
      implements TypesConverter.Parcelable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Key()` |
    `Key​(java.lang.String ip, java.lang.String jid, java.lang.String domain)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `encodeToStrings()` |
    `boolean` | `equals​(java.lang.Object o)` |
    `void` | `fillFromString​(java.lang.String[] encoded)` |
    `java.lang.String` | `getIp()` |
    `java.lang.String` | `getJid()` |
    `int` | `hashCode()` |
    `boolean` | `isJIDPresent()` |
    `void` | `setIp​(java.lang.String ip)` |
    `void` | `setJid​(java.lang.String jid)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Key

          public Key()

    - #### Key

          public Key​(java.lang.String ip,
                     java.lang.String jid,
                     java.lang.String domain)

  - ### Method Detail

    - #### encodeToStrings

          public java.lang.String[] encodeToStrings()

      Specified by:
        `encodeToStrings` in interface `TypesConverter.Parcelable`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### fillFromString

          public void fillFromString​(java.lang.String[] encoded)

      Specified by:
        `fillFromString` in interface `TypesConverter.Parcelable`

    - #### getIp

          public java.lang.String getIp()

    - #### setIp

          public void setIp​(java.lang.String ip)

    - #### getJid

          public java.lang.String getJid()

    - #### setJid

          public void setJid​(java.lang.String jid)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isJIDPresent

          public boolean isJIDPresent()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`